Pāriet uz saturu

Kandinsky5 Pro · Text to Video

Integrēt

Modeļa id kandinsky5-pro/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kandinsky5-pro/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Šis pieprasījums: 0,20 $ 200 API kredītu · ≈ 21,52 ₽ Izpildīt šajā lapā

Iegūt API atslēgu
Sber AI Teksts uz video līdz 1024P

Kandinsky 5 Pro teksta pārvēršana video ar 512P vai 1024P un 3:2, 1:1 vai 2:3 malu attiecībām

Sber AI · Video

Šeit būs jūsu pirmais rezultāts

Izveidojiet pieprasījumu tālāk un izpildiet to ar savu API atslēgu. Izvades tiek kopētas mūsu krātuvē un glabātas mūžīgi vai 7 dienas bez maksas.

Izveidot pieprasījumu

Vadīklas tiek ģenerētas no modeļa shēmas. Kods un cena tiek atjaunināti, kad tos maināt.

•obligāts

Teksta norādes video ģenerēšanai.

resolution noklusējums 512P

Video izšķirtspēja: izvēlieties 512p vai 1024p.

aspect_ratio noklusējums 3:2

Izvades video proporcijas; izvēlieties 3:2, 1:1 vai 2:3.

noklusējums 5s

Ģenerējamā video ilgums.

Papildu acceleration · num_inference_steps · seed · enable_safety_checker
acceleration noklusējums regular

Ģenerēšanas paātrināšanas līmenis ātruma palielināšanai.

noklusējums 28

Secināšanai izmantoto soļu skaits.

Ģenerēšanas sākumvērtība, kas tiek izvēlēta nejauši, ja nenorādāt vērtību.

POST /run/kandinsky5-pro/text-to-video?wait=20 cena → 0,20 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kandinsky5-pro/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Palaist šo pieprasījumu

Jūsu atslēga paliek šajā pārlūkprogrammā: tā tiek nosūtīta tikai uz Doitong API un saglabāta (localStorage) tikai tad, ja atzīmējat Atcerēties. Iegūt API atslēgu

Par Kandinsky5 Pro · Text to Video

Ģenerē video no teksta `prompt`, izmantojot Pro modeli. Izvēlieties `resolution` 512P vai 1024P un `aspect_ratio` 3:2, 1:1 vai 2:3. `duration` noklusējuma vērtība ir 5s, `num_inference_steps` sasniedz 50 (noklusējums 28), bet `acceleration` ir none vai regular. `seed` nav obligāts.

Parametri

NosaukumsTips NoklusējumsAtļauts Apraksts
promptobligāts
Tipsstring
Teksta norādes video ģenerēšanai.
resolutionneobligāts
Tipsenum
Noklusējums512P
512P1024P
Video izšķirtspēja: izvēlieties 512p vai 1024p.
aspect_rationeobligāts
Tipsenum
Noklusējums3:2
3:21:12:3
Izvades video proporcijas; izvēlieties 3:2, 1:1 vai 2:3.
durationneobligāts
Tipsstring
Noklusējums5s
Ģenerējamā video ilgums.
num_inference_stepsneobligāts
Tipsinteger
Noklusējums28
1 – 50
Secināšanai izmantoto soļu skaits.
accelerationneobligāts
Tipsenum
Noklusējumsregular
noneregular
Ģenerēšanas paātrināšanas līmenis ātruma palielināšanai.
seedneobligāts
Tipsinteger | null
Ģenerēšanas sākumvērtība, kas tiek izvēlēta nejauši, ja nenorādāt vērtību.
enable_safety_checkerneobligāts
Tipsboolean
Noklusējumstrue
Pārbaudi var atslābināt, iestatot false, ja izsaucējam ir atļauja.
obligāts

Izvade

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kandinsky5-pro/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Jūsu faili, jūsu izvēleKatrs outputs[].url ir kopija mūsu krātuvē: tiek glabāta mūžīgi (maksa par GB mēnesī) vai 7 dienas bez maksas — atbilstoši konta iestatījumam vai ?storage=.
Vienāda struktūra katram modelimtype, url, content_type, width, height un duration gan attēliem, gan video un audio. output ir paša modeļa rezultāta objekts.
Izvades lauki
video
object {url, content_type, file_name, file_size} | nullĢenerēšanas rezultātā iegūtais video fails.
seed
integerĢenerēšanas laikā lietotā sēklas vērtība.

Vairāk modeļu: Teksts uz video

AI aģentiem: šī lapa Markdown formātā ir pieejama https://doitong.com/lv/developers/models/kandinsky5-pro/text-to-video.md. Visi modeļi un ceļveži: https://doitong.com/developers/llms.txt